Share this page

# Requirements Module Fields

This section describes the Requirements module fields.

To access | On the ALM sidebar, under Requirements, select Requirements.
Important information | You can add user-defined fields and change the label of any of the fields in the Requirements module. You can also customize project lists. For details, refer to the Micro Focus Application Lifecycle Management Administrator Guide: Customizing Project Entities and Customizing Project Lists. You can use the Script Editor to restrict and dynamically change the fields and values in the Requirements module. For details, refer to the Micro Focus Application Lifecycle Management Administrator Guide: Workflow Customization at a Glance. When you select a requirement column with a user name value (including user-defined fields), ALM displays a list with the name and full name of each user. You can search for users, sort users, group users by user group, and select users from the users list or a group tree. For details, see Users List Dialog Box. Some fields are not available in all requirement views. Version Control: Additional fields are available in a version control enabled project. For details, see Version Control Fields.
Tip | To zoom in and out on memo type fields, hold down the Ctrl key and use the mouse wheel to zoom in and out. Or, hold down the Ctrl key and use the + and - keys to zoom in and out.
See also | Requirements Module Window

The fields are described below:

UI Element (A - Z) | Description
--- | ---
Author | The user name of the person who created the requirement. Default value: Login user name.
Comments | Comments about the requirement. Click in the text box to display a toolbar for formatting and spell checking the text.
Coverage Analysis | Graphically displays the direct cover status of the requirement and its children. Requirements which do not match the current filter, or requirements with direct cover status "N/A" are not counted in the analysis. Note: If you set the coverage by cycle, ALM does not use the Direct Cover Status field in its calculations. Instead, it uses calculated direct cover status values based on the tests that have instances belonging to test set folders that are assigned to cycles included in the filter. In this case, requirements that do not have test coverage for any of the cycles in the filter are not counted in the analysis. For more details on setting coverage by cycle, see Analysis Settings Dialog Box.
Created By | The user name of the person who created the requirement link. Default value: The login user name.
Creation Date | The date on which the requirement or requirement link was created. Default value: Current database server date.
Creation Time | The time at which the requirement was created. Default value: Current database server time.
Description | A description of the requirement. Click in the text box to display a toolbar for formatting and spell checking the text.
Direct Cover Status | The current status of the requirement, determined according to the status of the tests associated with the requirement. A requirement status can be one of the following: Blocked. One or more tests covered by the requirement have an execution status of Blocked. Not Covered. The requirement has not been linked to a test. Failed. One or more tests covered by the requirement have an execution status of Failed, and none has an execution status of Blocked. Not Completed. One or more tests covered by the requirement have an execution status of Not Completed, and none has an execution status of Blocked or Failed. Alternatively, tests covered by the requirement have execution statuses of Passed and No Run, Passed and N/A. Passed. All the tests covered by the requirement have an execution status of Passed. No Run. All the tests covered by the requirement have an execution status of No Run. N/A. The current status of the requirement is not applicable. -----. The requirement does not have a direct cover status as it belongs to a requirement type that does not support coverage. Default value: The status is Not Covered.
Modified | The date and time on which the requirement or requirement link was modified. Default value: The current database server date and time.
Name | The requirement name.
Old Type (obsolete)(formerly Type) | The type of requirement (obsolete). In previous versions of ALM, the type could be any value configured in the project, with typical values Change, Functional, Guideline, Quality, Standard, and System. This field is only available for requirements of undefined type.
Priority | The priority of the requirement, ranging from low priority (level 1) to urgent priority (level 5).
Product | The component of the application on which the requirement is based.
RBQM Business Impact | The calculated Business Criticality for the requirement. Possible values are A (High), B (Medium), and C (Low). This field is only in use for assessment requirements.
RBQM Custom Business Impact | The user-defined custom Business Criticality for the requirement. Possible values are A (High), B (Medium), and C (Low). This field is only in use for assessment requirements.
RBQM Custom Failure Probability | The user-defined custom Failure Probability for the requirement. Possible values are 1 (High), 2 (Medium), and 3 (Low). This field is only in use for assessment requirements.
RBQM Custom Functional Complexity | The user-defined custom Functional Complexity for the requirement. Possible values are 1 (High), 2 (Medium), and 3 (Low). This field is only in use for assessment requirements.
RBQM Custom Risk | The user-defined custom Risk for the requirement. Possible values are A (High), B (Medium), and C (Low). This field is only in use for assessment requirements.
RBQM Custom Testing Hours | The user-defined effort required to test the requirement, measured in units defined in Project Customization. This field is only in use for assessment requirements.
RBQM Custom Testing Level | The user defined level at which to test the requirement. Possible values are 1-Full, 2-Partial, 3-Sanity, and 4-None. This field is only in use for assessment requirements.
RBQM Date of Last Analysis | The date a risk-based quality management analysis was last performed on the requirement. This field is only in use for analysis requirements.
RBQM Effective Business Impact | The effective Business Criticality for the requirement. Possible values are A (High), B (Medium), and C (Low). This field is only in use for assessment requirements.
RBQM Effective Failure Probability | The effective Failure Probability for the requirement. Possible values are 1 (High), 2 (Medium), and 3 (Low). This field is only in use for assessment requirements.
RBQM Effective Functional Complexity | The effective Functional Complexity for the requirement. Possible values are 1 (High), 2 (Medium), and 3 (Low). This field is only in use for assessment requirements.
RBQM Effective Risk | The effective Risk for the requirement. Possible values are A (High), B (Medium), and C (Low). This field is only in use for assessment requirements.
RBQM Estimated RnD Effort | The user-defined estimate of the effort required to develop the requirement. This field is only in use for assessment requirements.
RBQM Exclude from Analysis | Indicates whether to exclude the requirement from risk analysis. A requirement may be excluded from risk analysis if it belongs to a type for which risk assessments are not available, or if you specifically exclude it from analysis.
RBQM Failure Probability | The calculated Failure Probability for the requirement. Possible values are 1 (High), 2 (Medium), and 3 (Low). This field is only in use for assessment requirements.
RBQM Functional Complexity | The calculated Functional Complexity for the requirement. Possible values are 1 (High), 2 (Medium), and 3 (Low). This field is only in use for assessment requirements.
RBQM Risk | The calculated Risk for the requirement. Possible values are A (High), B (Medium), and C (Low). This field is only in use for assessment requirements.
RBQM Testing Hours | The calculated effort required to test the requirement, measured in units defined in Project Customization. This field is only in use for assessment requirements.
RBQM Testing Level | The calculated level at which to test the requirement. Possible values are 1-Full, 2-Partial, 3-Sanity, and 4-None. This field is only in use for assessment requirements.
RBQM Use Custom Business Impact | Indicates whether to use the user-defined Business Criticality, instead of the Business Criticality calculated by ALM. This field is only in use for assessment requirements.
RBQM Use Custom Failure Probability | Indicates whether to use the user-defined Failure Probability, instead of the Failure Probability calculated by ALM. This field is only in use for assessment requirements.
RBQM Use Custom Functional Complexity | Indicates whether to use the user-defined Functional Complexity, instead of the Functional Complexity calculated by ALM. This field is only in use for assessment requirements.
RBQM Use Custom Results | Indicates whether to use the user-defined testing effort and testing level, instead of the values calculated by ALM. This field is only in use for assessment requirements.
RBQM Use Custom Risk | Indicates whether to use the user-defined Risk, instead of the Risk calculated by ALM. This field is only in use for assessment requirements.
Req ID | A unique alphanumeric ID for the requirement that is assigned automatically. The Req ID field cannot be modified.
Req Parent | The name of the parent requirement.
Requirement Trace ID | A unique alphanumeric ID for the requirement link that is assigned automatically.
Requirement Type | The type of requirement. Default values: Business. A business process requirement. By default, you cannot add coverage to this requirement. Folder. A folder for organizing requirements. By default, you cannot add coverage to this requirement. Functional. A system behavioral requirement. Group. A collection of related requirements. Testing. A system performance requirement. Business Model. A requirement representing a business process model entity. Undefined. An undefined requirement. Note: You can customize the default types and create your own requirement types. For more details on customizing requirement types, refer to the Micro Focus Application Lifecycle Management Administrator Guide: Customizing Project Requirement Types.
Reviewed | Indicates whether the requirement has been reviewed and approved by the person responsible.
Target Cycle | Indicates the cycle to which the requirement is assigned.
Target Release | Indicates the release to which the requirement is assigned.
Trace Comment | Displays comments about the requirement link.

https://admhelp.microfocus.com ALM 8942
Tips to improve your search results... ALM Help Center ALM Help Center ALM Help 15.5-15.5.1 All View Local Help Center View Online Help Center back Go back in browser history forward Go forward in browser history Remove search highlights next topic Go to next topic previous topic Go to previous topic Print the current topic Version: